<?php
require'fun.php';
require'f_conectare.php';
conectare('verifică dns domeniu','verifica-dns-domeniu');
$domeniu=$_GET['domeniu']??'';
$titlu='Verifică DNS domeniu';
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
require'f_sus.php';
echo$div[4].img('servicii.gif',2).'Verifică DNS domeniu'.$div[5].$div[10];
if($domeniu!=NULL)
{
require'f_filtrul.php';
$ch=curl_init();
curl_setopt($ch,CURLOPT_URL,'http://intodns.com/'.idn_to_ascii($domeniu));
curl_setopt($ch,CURLOPT_TIMEOUT,5);
curl_setopt($ch,CURLOPT_USERAGENT,$_SERVER['HTTP_USER_AGENT']);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
curl_setopt($ch,CURLOPT_BINARYTRANSFER,true);
curl_setopt($ch,CURLOPT_VERBOSE,false);
curl_setopt($ch,CURLOPT_SSL_VERIFYPEER,FALSE);
curl_setopt($ch,CURLOPT_SSLVERSION,3);
curl_setopt($ch,CURLOPT_SSL_VERIFYHOST,FALSE);
curl_setopt($ch,CURLOPT_FRESH_CONNECT,1);
curl_setopt($ch,CURLOPT_FORBID_REUSE,1);
$output=curl_exec($ch);
curl_close($ch);
echo'Verifică destinațiile DNS pentru domeniul <strong>'.$domeniu.'</strong>:'.$div[0].$div[1].filtrul(str_replace(['src="/','src="../',' <a href="feedback/?KeepThis=true&amp;TB_iframe=true&amp;height=300&amp;width=240" title="intoDNS feedback" class="thickbox feedback">send feedback</a>'],['src="http://intodns.com/','src="http://intodns.com/',''],$output),'<div class="content">','</div>');
}
else
echo'Verifică intrările DNS pentru un anumit domeniu, (se acceptă și interogări de domenii cu diacritice!)';
echo$div[0];
$form[0]='/verifica-dns-domeniu" method="get';
$form[1]=1;
$form[2]=$div[1].'Introdu domeniul:<br /><input name="domeniu" value="'.$domeniu.'" />'.$div[0];
$form[3]='domeniu';
$form[4]='Verifică';
require'f_form.php';
require'f_jos.php';